<?php

namespace XF\Cron;

use function in_array;

class EmailUnsubscribe
{
	public static function process()
	{
		if (!self::canProcessUnsubscribeEmails())
		{
			return;
		}

		\XF::app()->jobManager()->enqueueUnique('EmailUnsubscribe', 'XF:EmailUnsubscribe', [], false);
	}

	protected static function canProcessUnsubscribeEmails(): bool
	{
		$options = \XF::options();
		$handler = $options->emailUnsubscribeHandler;
		$unsub = $options->unsubscribeEmail;

			return $handler && !empty($handler['enabled']) && in_array('email', $unsub['unsubscribe_type']) && $unsub['unsubscribe_email_address'];
	}
}